<template>
  <section class="first-screen">
    <div class="container">
      <div class="first-screen_top">
        <div class="d-flex justify-content-between text-center">
          <a href="#"
          ><img src="@/assets/images/first-screen/image-1.svg" alt="OPTICS"/>
            <p>Sun glasses</p></a
          >
          <a href="#"
          ><img src="@/assets/images/first-screen/image-2.svg" alt="OPTICS"/>
            <p>Sport glasses</p></a
          >
          <a href="#"
          ><img src="@/assets/images/first-screen/image-3.svg" alt="OPTICS"/>
            <p>Bicycle glasses</p></a
          >
          <a href="#"
          ><img src="@/assets/images/first-screen/image-4.svg" alt="OPTICS"/>
            <p>Ski goggles</p>
          </a>
          <a href="#"
          ><img src="@/assets/images/first-screen/image-5.svg" alt="OPTICS"/>
            <p>Bike Goggles</p></a
          >
          <a href="#"
          ><img src="@/assets/images/first-screen/image-6.svg" alt="OPTICS"/>
            <p>Lenses</p></a
          >
          <a href="#"
          ><img src="@/assets/images/first-screen/image-7.svg" alt="OPTICS"/>
            <p>Accessories</p></a
          >
        </div>
      </div>
    </div>
    <div class="first-screen_primary">
      <div>
        <div
            id="carouselExampleIndicators"
            class="carousel slide"
            data-ride="carousel"
            data-interval="3000"
        >
          <div class="container">
            <ol class="carousel-indicators">
              <li
                  data-target="#carouselExampleIndicators"
                  data-slide-to="0"
                  class="active"
              ></li>
              <li
                  data-target="#carouselExampleIndicators"
                  data-slide-to="1"
              ></li>
              <li
                  data-target="#carouselExampleIndicators"
                  data-slide-to="2"
              ></li>
            </ol>
          </div>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img
                  src="@/assets/images/first-screen/primary-first-screen/primary-fs.jpeg"
                  class="img-cover"
                  alt="first screen image"
              />

            </div>
            <div class="carousel-item">
              <img
                  src="@/assets/images/first-screen/primary-first-screen/primary-fs-2.jpeg"
                  class="img-cover"
                  alt="first screen image"
              />
            </div>
            <div class="carousel-item">
              <img
                  src="@/assets/images/first-screen/primary-first-screen/primary-fs.jpeg"
                  class="img-cover"
                  alt="first screen image"
              />
            </div>
          </div>
        </div>
      </div>
      <div class="primary-info">
          <span class="bg-primary text-white text-uppercase py-1 px-2"
          >The New</span
          >
        <h2 class="text-white pt-2 title-sf">FORCE EVO</h2>
        <p class="fs-subtitle text-primary pb-5 mt-n2">
          For the toughest situation
        </p>
        <p class="sf-price text-white pb-3">79,99 €</p>
        <div>
          <button type="button" class=" btn-sm-my under-slide">
            BUY NOW
          </button>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: "FirstSection"
}


</script>

<style scoped>


.first-screen {
  overflow: hidden;
  background-color: #f6f6f6;
}

.first-screen_top {
  padding: 15px 110px;
}


.first-screen_primary {
  position: relative;
}

.img-cover {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 520px;
  max-height: 768px;
  width: 100vw;
  height: calc(100vh - 226px);
}

.carousel-indicators {
  margin: 0;
  justify-content: left;
  left: 200px;
  bottom: 64px;
}

.primary-info {
  position: absolute;
  z-index: 9;
  top: 118px;
  left: 204px;
}

.title-sf {
  font-size: 40px;
  line-height: 52px;
  letter-spacing: 0.2em;
}

.fs-subtitle {
  font-size: 16px;
  line-height: 21px;
}

.sf-price {
  font-weight: 700;
  font-size: 24px;
  line-height: 31px;
}

.first-screen_top p {
  padding-top: 17px;
}

.first-screen_top a,
p {
  color: #888888;
  margin: 0;
}

.first-screen_top img {
  width: 88px;
  height: 40px;
}

.btn-sm-my {
  position: relative;
  padding: 20px 160px 20px 15px;
  border-radius: 4px;
  background-color: #fff;
  color: #0a0a0a;
  border: none;
  letter-spacing: 0.1em;
  font-size: 16px;
  line-height: 21px;
  transition: all 0.2s ease-in-out;
}

.btn-sm-my:hover {
  color: #fff;
  background-color: #0A0A0A;
}

.btn-sm-my::after {
  content: '>';
  left: 225px;
  position: absolute;
  font-size: 16px;
}

.carousel-indicators li {
  width: 70px;
  height: 4px;
}

.carousel-indicators .active {
  background-color: #009aff;
}

.primary-info span {
  display: inline-block;
  font-size: 15px;
  line-height: 20px;
}
</style>